<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1, user-scalable=no">
    <title>适配-Flex(流体布局)</title>
    <style>
        .content-wrap{
            display: flex;
        }
        .content{
            flex: 1;
            background-color: #999;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 200px;
            border: 1px solid;
        }
        .a{
            width: 30px;
            height: 30px;
            background-color: red;
        }
    </style>
</head>
<body>
    <div class="content-wrap">
        <div class="content">
            <div class="a"></div>
        </div>
        <div class="content">
            <div class="a"></div>
        </div>
        <div class="content">
            <div class="a"></div>
        </div>
    </div>
</body>
</html>